import React from 'react';
import { ToastProps } from './Toast';
declare type TProps = {
    bindNotify: Function;
    bindGetToasts: Function;
    bindCloseAll: Function;
};
declare type TState = {
    toasts: Array<ToastProps>;
};
export default class ToastManager extends React.PureComponent<TProps, TState> {
    static idCounter: number;
    constructor(props: TProps);
    getToastHandlers: () => Array<ToastProps>;
    closeAll: () => void;
    notify: (options: ToastProps) => ToastProps;
    createToastInstance: (options?: ToastProps) => ToastProps;
    closeToast: (id: number | string) => void;
    removeToast: (id: number | string) => void;
    render(): React.ReactNode;
}
export {};
